> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Uninstall an app

> Uninstalls an app and removes all associated data for the given teams.



## OpenAPI

````yaml post /apps/uninstall
openapi: 3.0.0
info:
  title: THENA APPS STUDIO
  description: >-
    Thena apps studio is a comprehensive API suite designed to facilitate the
    creation and management of apps.
  version: '1.0'
  contact: {}
servers:
  - url: https://apps-studio.thena.ai
security: []
tags: []
paths:
  /apps/uninstall:
    post:
      tags:
        - App Uninstallation
      operationId: AppUninstallActionController_uninstallApp
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UninstallAppDto'
      responses:
        '201':
          description: ''
      security:
        - x-api-key: []
components:
  schemas:
    UninstallAppDto:
      type: object
      properties:
        appId:
          type: string
          description: The ID of the app to uninstall
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - appId
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````